Name:           htop
Version:        1.0.2
Release:        %mkrel 2

Summary:        Interactive text-mode process viewer for Linux
License:        GPLv2+
Group:          Monitoring
URL:            http://htop.sourceforge.net/
Source0:        http://ovh.dl.sourceforge.net/htop/htop-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  ncurses-devel
BuildRequires:  libncursesw-devel

%description
htop is an interactive process viewer for Linux, similar to top.

Some advantages over top:

* you can scroll the list vertically and horizontally to see
  all processes and complete command lines
* htop starts faster than top
* you don't need to type the process number to kill a process
* you don't need to type the process number or the priority value to
  renice a process
* htop supports mouse operation

%prep
%setup -q

%build
%{configure2_5x}
%{make}

%install
%{makeinstall}
desktop-file-install --vendor="" \
  --add-category="Monitor" \
  --remove-key="Path" \
  --remove-key="Version" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files
%doc README AUTHORS NEWS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/%{name}.*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 353342
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 guillomovitch <guillomovitch> 1.0.2-1.mga3
+ Revision: 316720
- new version

* Sat Sep 01 2012 shlomif <shlomif> 1.0.1-2.mga3
+ Revision: 286964
- New release (2) - rebuild for the changes in ncurses.
  ncurses was changed recently which broke htop. Recompiling appears to fix it.
  See:
  https://bugs.mageia.org/show_bug.cgi?id=7235

* Thu Jun 07 2012 jquelin <jquelin> 1.0.1-1.mga3
+ Revision: 256778
- update to 1.0.1

* Fri Dec 02 2011 jquelin <jquelin> 1.0-2.mga2
+ Revision: 175116
- fix mga#3432 - xfce crash
- fix xfce crash (mga#3432)

* Tue Nov 22 2011 jquelin <jquelin> 1.0-1.mga2
+ Revision: 170874
- update to 1.0

* Tue Jan 18 2011 ahmad <ahmad> 0.9-2.mga1
+ Revision: 21902
- drop old/unneeded scriptlets

  + jquelin <jquelin>
    - imported package htop

